<?php
namespace Home\Controller;
use Think\Controller;
use Home\Utils\LogUtil;

/**
 * 基础控制器，内容如下
 * 1、空操作默认处理
 * 2、错误信息展示页面
 */
class BaseController extends Controller {
	const PROJECT_NAME ="game";
	
	function _initialize()
	{
		LogUtil::input(self::PROJECT_NAME);//记录日志
	}
	
	//重写display,加入记录输出代码
	public function display($templateFile='',$charset='',$contentType='',$content='',$prefix=''){
		$logdata = $this->get();
	
		LogUtil::output($logdata);
	
		$this->view->display($templateFile,$charset,$contentType,$content,$prefix);
	}
	
    /**
     * 空操作请求默认处理
     */
    protected function _empty()
    {
        echo 'bad request...';
    }
    /**
     * 获取请求信息
     */
    protected function getReqData()
    {
        $srcData = file_get_contents('php://input');
        
        if(getClientRealIp() === '127.0.0.1')
        {
            $srcData = '{"app_version": "1.0", "source": "QQ", "nickname": "劉新俊", "device_type": "ios", "channel_id": "14705", "device_model": "iPhone", "headimgurl": "http://qzapp.qlogo.cn/qzapp/101402694/F643B6603F98A017CEAEC3460B4552E0/100", "sign": "8dcedd4e9bf762cd84b75da90d1dce1f", "os_version": "ios:10.0", "game_id": "626526", "openid": "F643B6603F98A017CEAEC3460B4552E0", "device_id": "2DD34BC3-5038-498E-9237-766345DD306B", "sex": "0"}';
        }
        if(!isVarEmpty($srcData))
        {
            try
            {
                return json_decode($srcData,true);
            }
            catch (\Think\Exception $e)
            {
                return array();
            }
        }
        return array();
    }
    /**
     * 【格式化处理结果】
     * 
     * 输入
     *  标准的Result处理结果
     * 
     * 输出
     *  json格式的字符串
     */
    protected function formatRes($result)
    {
       
        if(empty($result))
        {
            $result['c']=0;
           
        }else if($result['c']==2)
        {
        
            //数据为空
          
        }else
        {
            $result['c']=1;
        }
        return json_encode($result);
    }
   
}